echo off

set dir="CD"

REM Step 1: Create CD directory if not exist
if not exist %dir% mkdir %dir%

REM Step 2: Decompile ISO
if not exist "doom.iso" goto noDoomIsoFail
tools\opera\OperaTool -d doom.iso %dir%

REM Step 3: Copy all added extra files to the extracted CD
xcopy files %dir% /E /Y

REM Step 4: compilo ISO from CD folder
tools\opera\3doiso.exe -in CD -out optidoom.iso


REM Step 5: encrypt compiled ISO
tools\sign\3doEncrypt.exe genromtags optidoom.iso

REM Success!
goto end

:noDoomIsoFail
echo doom.iso not found

:end
pause
